Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(5)

Unified Diff: tool/test.sh

Issue 1569783006: Bump the version number and re-baseline codegen/expect (Closed) Base URL: git@github.com:dart-lang/dev_compiler.git@master
Patch Set: Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« package.json ('K') | « test/codegen/expect/script.js ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/test.sh
diff --git a/tool/test.sh b/tool/test.sh
index 8532b4400fee43ee6c30af678e94714d3dc1d689..e57dc992d0763311d5750cf77703e237087c63eb 100755
--- a/tool/test.sh
+++ b/tool/test.sh
@@ -13,6 +13,10 @@ cd $( dirname "${BASH_SOURCE[0]}" )/..
# Check minimum SDK version
./tool/sdk_version_check.dart 1.9.0-dev.4.0 || fail
+# Delete codegen expectation files to be sure that if a test fails to compile
+# we don't erroneously pick up the old version.
+rm -r test/codegen/expect || fail
+
# Make sure we don't run tests in code coverage mode.
# this will cause us to generate files that are not part of the baseline
# TODO(jmesserly): we should move diff into Dart code, so we don't need to
« package.json ('K') | « test/codegen/expect/script.js ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698